%set_verify_elf_method textrel=relaxed

%define	vdrbuild	1.3.15-alt1
%define	plugindir	/usr/lib/vdr
%define pname 		rotor

Name: vdr-%pname
Version: 0.0.6c
Release: alt3

Summary: Diseqc motorised dish control plugin for VDR
Summary(ru_RU.UTF-8): Модуль управления антенной с мотоподвесом для VDR
License: GPL
Group: Video
URL: http://home2.vr-web.de/~bergwinkl.thomas/
Source0: %name-%version.tgz
#Patch0: russian-%pname-%version.diff
BuildPreReq: kernel-headers-dvb vdr-devel = %vdrbuild 
BuildRequires: gcc-c++ libjpeg-devel libstdc++-devel
Requires: vdr = %vdrbuild

%description
With this plugin you can control a diseqc motor.

%description -l ru_RU.UTF-8
Позволяет управлять положением антенны с моторизованным подвесом посредством Diseqc.

%prep
%setup -c -q

# place everything in order
%__mkdir -p PLUGINS/src
%__mkdir -p PLUGINS/lib
%__cp -r %_includedir/vdr/* .
%__mv %pname-%version PLUGINS/src/%pname

#%patch0 -p1

%build
%make plugins

%install
%__install -d %buildroot%plugindir
%__install PLUGINS/lib/* %buildroot%plugindir

%files
%plugindir/*
%doc PLUGINS/src/%pname/README


%changelog
* Fri Nov 05 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.6c-alt3
- vdr-1.3.15

* Fri Oct 22 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.6c-alt2
- 0.0.6c 

* Sun Oct 17 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.6b-alt2
- Buildfix

* Tue Oct 05 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.6b-alt1
- 0.0.6b, fixed Russian translation

* Sat Feb 14 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.5-alt1
- Initial build, translation
